#include <iostream>

using namespace std;
int a[1000001];
int main()
{
    int n;
    cin>>n;
    for(int i=0;i<n;i++)
        cin>>a[i];
    int t=0,m,mi,p;
    for(int i=0;i<n-1 && t==0;i++)
    {
        m=a[i];
        for(int j=n-1;j>=i+1;j--)
        {
            if(a[j]>m){m=a[j]; mi=j;}
        }
        if(m>a[i])
        {
            t=1;
            p=a[i];
            a[i]=a[mi];
            a[mi]=p;
        }
    }
    if(t==0)
    {
        p=a[n-1];
        a[n-1]=a[n-2];
        a[n-2]=p;
    }
    for(int i=0;i<n;i++)
        cout<<a[i]<<" ";
        cout<<endl;
    return 0;
}